package com.bonus.zlpt.company.service;

import com.bonus.zlpt.company.api.domain.BmCompanyInfo;
import com.bonus.zlpt.company.api.domain.dto.BmCompanyDto;
import com.bonus.zlpt.company.api.domain.dto.BmCompanyInfoDto;
import com.bonus.zlpt.company.api.domain.vo.BmCompanyInfoVo;
import com.bonus.zlpt.company.api.domain.vo.BmCompanyVo;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/1 19:40
* @Version 1.0
*/

public interface BmCompanyInfoService{

    int deleteByPrimaryKey(Integer companyId);

    int insert(BmCompanyInfo record);

    int insertSelective(BmCompanyInfoDto record);

    BmCompanyInfo selectByPrimaryKey(Integer companyId);

    int updateByPrimaryKeySelective(BmCompanyInfoDto record);

    int updateByPrimaryKey(BmCompanyInfo record);

    /**
     * 根据条件查询企业信息(企业入驻审核)
     */
    List<BmCompanyInfo> selectList(BmCompanyDto bmCompanyDto);


    /**
     *  根据 企业id 查询企业信息
     * @param id
     * @return
     */
    BmCompanyVo getCompanyInfoById(Integer id);
    /**
     * 根据条件查询企业信息
     */
    List<BmCompanyInfoVo> selectCompanyInfo(BmCompanyDto bmCompanyDto);
}
